\documentclass{article}

\usepackage{amsmath}
\usepackage[margin=0.75in]{geometry}
\pagenumbering{gobble}
\setlength{\parskip}{\baselineskip}%
\setlength{\parindent}{0pt}%
\addtolength{\jot}{-0.2em}

\begin{document}
{\Large

\textbf{SICP Exercise 1.13}

Prove that \(Fib(n)\) is the closest integer to \(\phi^n/\sqrt 5\), where
\(\phi = (1 + \sqrt 5)/2\). Hint: Let \(\psi = (1 - \sqrt 5)/2\). Use induction
and the definition of the Fibonacci numbers to prove that
\(Fib(n) = (\phi^n - \psi^n)/\sqrt 5\).

\begin{center}
\rule{4in}{0.4pt}
\end{center}

Let \(x^2 - x - 1 = 0\); then \(x = \frac{1 \pm \sqrt 5}{2}\).

Let \(\phi = \frac{1 + \sqrt 5}{2}\) and \(\psi = \frac{1 - \sqrt 5}{2}\); then
\(\phi - \psi = {\sqrt 5}\).

For any whole number \(n\),

\begin{align*}
\phi^n(\phi^2 - \phi - 1) &= \psi^n(\psi^2 - \psi - 1) \\
\phi^{n+2} - \phi^{n+1} - \phi^n &= \psi^{n+2} - \psi^{n+1} - \psi^n \\
\phi^{n+2} - \psi^{n+2} &= (\phi^{n+1} - \psi^{n+1}) + (\phi^n - \psi^n) \\
\frac{\phi^{n+2} - \psi^{n+2}}{\sqrt 5} &=
\frac{\phi^{n+1} - \psi^{n+1}}{\sqrt 5} +
\frac{\phi^n - \psi^n}{\sqrt 5} \\
\end{align*}

Let \(F(n) = \frac{\phi^n - \psi^n}{\sqrt 5}\); then

\begin{align*}
F(0) &= 0 \\
F(1) &= 1 \\
F(n+2) &= F(n+1) + F(n) \\
\end{align*}

This is the Fibonacci function, which we can write as:
\( Fib(n) = \frac{\phi^n-\psi^n}{\sqrt 5} \)

Also, \(\lvert \psi \rvert < 1\), so \(\lvert \psi^n \rvert < 1\) and
\(\frac{\lvert \psi^n \rvert}{\sqrt 5} < \frac{1}{\sqrt 5} < \frac{1}{2}\).
This shows that \(\frac{\phi^n}{\sqrt 5}\) is always less than \(\frac{1}{2}\) away
from \(Fib(n)\). Put differently,

\begin{center}
\(Fib(n)\) is the closest integer to \(\frac{\phi^n}{\sqrt 5}\), \textit{Q.E.D.}
\end{center}

}
\end{document}
